Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598892 - Can't tell "Panic" from "Complete Warn" and no panic backtrace log
Summary: Can't tell "Panic" from "Complete Warn" and no panic backtrace log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
low
medium vote
Target Milestone: 0.4.x
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 09:53 UTC by Eryu Guan
Modified: 2015-05-04 03:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-09 21:12:59 UTC


Attachments (Terms of Use)

Description Eryu Guan 2010-06-02 09:53:14 UTC
Please correct me if I choose wrong component

Description of problem:
When test causes a kernel panic, test will stop as "Complete Warn" and  "External Watchdog Expired", there is no log/backtrace to indicate this is a kernel panic.

RHTS, on the other hand, will show you the result as "Aborted-Panic" or "Aborted-Fail" along with the full console log (with backtrace in it).

Version-Release number of selected component (if applicable):
Version - 0.5.40

How reproducible:
Always

Steps to Reproduce:
1. Schedule test /kernel/filesystems/btrfs/online-balance on RHEL6.0-Snapshot-4 (after snapshot 5 this bug is fixed)
2.
3.
  
Actual results:
Result is "Complete Fail" without backtrace log

Expected results:
Result is "Aborted-Panic" or "Aborted-Fail" with full console log

Additional info:
The same test in Beaker and RHTS
https://beaker.engineering.redhat.com/jobs/820
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=158997

Comment 1 Bill Peck 2010-06-09 21:12:59 UTC
This is fixed now.

By default we do live monitoring for panics.  So if a system panics it won't wait for the watchdog to expire.


Note You need to log in before you can comment on or make changes to this bug.